Platform: All Platforms Applies to: COMSOL Multiphysics®, CAD Import Module, File Import for CATIA® V5 Module Versions: 5.3

Problem Description

After installing an update for COMSOL Multiphysics 5.3 I have one of the following issues

  1. When launching COMSOL Multiphysics, I get an Unexpected Error or a message that the client and server versions do not match.

  2. I cannot import my Inventor® or Catia® V5 geometries.

Solution

To resolve this issue:

  1. Make sure that you close or exit any running COMSOL® processes or software you have running that correlates to a LiveLink™ product you would like to update (Excel®, MATLAB®, or a CAD software).

  2. Go to the Product Update page for version 5.3.

  3. Click on the link Additional Instructions

  4. Click Download Update to download the file comsol_5.3.0.316_update.dat and store it locally on your machine.

  5. Start the update manually, according to the instructions below:

    • Windows: From the Start Menu, navigate to the COMSOL Multiphysics 5.3 directory and select COMSOL Launchers. From the COMSOL Launchers directory, launch Update.

    • Linux and macOS: In a terminal window, navigate to the root directory of your COMSOL Multiphysics 5.3 installation and launch ./update.

  6. After the COMSOL Multiphysics 5.3 Installer has launched, select Manual Download and browse to the comsol_5.3.0.316_update.dat file you downloaded. Click Next and then proceed through the update process.